MAN(1)

NAMA
man - sebuah antar-muka ke referensi buku panduan online

RINGKASAN
man [-C file] [-d] [-D] [--warnings[=warnings]] [-R encoding] [-L locale] [-m system[,...]] [-M path] [-S list] [-e extension] [-i|-I] [--regex|--wildcard] [--names-only] [-a] [-u] [--no-subpages] [-P pager] [-r prompt] [-7] [-E encoding] [--no-hyphenation] [--no-justification] [-p string] [-t] [-T[device]] [-H[browser]] [-X[dpi]] [-Z] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [-w|-W] [-S list] [-i|-I] [--regex] [section] term ...
man -f [whatis options] page ...
man -l [-C file] [-d] [-D] [--warnings[=warnings]] [-R encoding] [-L locale] [-P pager] [-r prompt] [-7] [-E encoding] [-p string] [-t] [-T[device]] [-H[browser]] [-X[dpi]] [-Z] file ...
man -w|-W [-C file] [-d] [-D] page ...
man -c [-C file] [-d] [-D] page ...
man [-?hV]

DESKRIPSI
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order ("1 1p 8 2 3 3p 4 5 6 7 9 0p n" by default, unless overridden by the SECTION directive in /etc/man_db.conf), and to show only the first page found, even if page exists in several sections. Tabel dibawah memperlihatkan bagian jumlah dari buku panduan diikuti oleh tipe dari halaman yang mereka isi.
1
Aplikasi dapat dijalankan atau perintah shell
2
Panggilan sistem (fungsi yang disediakan oleh kernel)
3
Panggilan perpustakaan (fungsi yang ada dalam perpustakaan aplikasi)
4
Special files (usually found in /dev)
5
Format berkas dan konvensi contoh: /etc/passwd
6
Permainan
7
Miscellaneous (including macro packages and conventions), e.g. man(7), groff(7)
8
Perintah administrasi sistem (biasanya hanya untuk root)
9
Rutinitas kernel [Bukan standar]
Sebuah halaman buku panduan terdiri dari beberapa bagian. Nama konvensional termasuk NAMA, RINGKASAN, KONFIGURASI, DESKRIPSI, PILIHAN, STATUS KELUAR, NILAI KEMBALI, ERRORS, LINGKUNGAN, BERKAS, VERSI, KONFORM KE, CATATAN, BUGS, CONTOH, PENGARANG, dan LIHAT JUGA. Konvensi berikut juga berlaku ke bagian RINGKASAN dan dapat digunakan sebagai panduan dalam daerah lain.
bold text
ketik tepat seperti yang terlihat.
italic text
ganti dengan argumen yang sesuai.
[-abc]
apapun atau seluruh argumen didalam [ ] adalah opsional.
-a|-b
pilihan dipisahkan oleh | tidak dapat digunakan bersama.
argument ..
argumen adalah dapat diulang.
[expression] ...
seluruh ekspresi didalam [ ] adalah dapat diulang.
Merender secara tepat mungkin akan berbeda tergantung dari perangkat keluaran. Sebagai contoh, man biasanya tidak dapat merender italics ketika berjalan dalam sebuah terminal, dan biasanya menggunakan garis bawah atau teks berwarna. Perintah atau ilustrasi fungsi adalah sebuah pola yang seharusnya cocok dengan seluruh kemungkinan pemanggilan. Dalam beberapa kasus ini dapat disarankan untuk mengilustrasikan beberapa pemanggilan eksklusif seperti terlihat dalam bagian RINGKASAN dari halaman buku panduan ini.

CONTOH

man ls
    Tampilkan halaman buku panduan untuk (aplikasi) item ls.

man -a intro
    Tampilkan, dalam suksesi, seluruh dari intro halaman buku panduan yang tersedia yang berada dalam buku panduan. Jika memungkinkan berhenti diantara penampilan atau lewati beberapa dari itu.

man -t alias | lpr -Pps
    Format halaman buku panduan direferensikan oleh `alias', biasanya sebuah halaman buku panduan shell, kedalam format baku troff atau groff dan pipe itu ke pencetak bernama ps. Keluaran baku untuk groff biasanya PostScript. man --help seharusnya disarankan prosesor mana yang terikat ke pilihan -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Perintah ini akan mendekompres dan format sumber halaman buku panduan nroff ./foo.1x.gz kedalam sebuah perangkat independent (dvi) berkas. Redireksi diperlukan karena -T flag menyebabkan keluaran untuk diarahkan ke stdout dengan tidak ada pager. Keluaran akan dilihat dengan sebuah aplikasi seperti xdvi atau pemrosesan lebih lanjut kedalam PostScript menggunakan sebuah aplikasi seperti dvips.

man -k printf
    Cari deskripsi singkat dan nama halaman buku panduan untuk kata kunci printf seperti ekspresi umum. Cetak semua kecocokan. Sama dengan apropos printf.

man -f smail
    Cari halaman buku panduan direferensikan oleh smail dan tampilkan deskripsi singkat dari apapun yang ditemukan. Sama dengan whatis smail.

OVERVIEW
Banyak pilihan tersedia ke %man dengan tujuan untuk memberikan lebih banyak fleksibilitas sebanyak mungkin ke pengguna. Perubahan dapat dibuat di jalur pencarian, bagian pengurutan, prosesor keluaran, dan perilaku lain dan operasi detail dibawah. Jika diset, berbagai variabel lingkungan diinterogerasi untuk menentukan operasi dari man. Ini memungkinkan untuk menset variabel `catch all' $MANOPT ke string apapun dalam format baris perintah dengan eksepsi bahwa spasi apapun yang digunakan sebagai bagian dari sebuah pilihan argumen harus diberi karakter untuk keluar (diawali oleh sebuah backslash). man akan mengambil $MANOPTsebelum parsing baris perintahnya sendiri. Pilihan ini membutuhkan sebuah argumen yang akan dikesampingkan dengan pilihan yang sama yang ditemukan di baris perintah. Untuk mereset seluruh set pilihan dalam $MANOPT, -D dapat dispesifikasikan sebagai pilihan baris perintah inisial. Ini akan mengijinkan man untuk `forget' mengenai pilihan yang dispesifikasikan dalam $MANOPT walaupun mereka tetap harus valid. Penggunaan halaman buku panduan dipaket sebagai man-db membuat penggunaan ekstensif dari persediaan basis data index. Persediaan ini berisi informasi seperti dimana setiap halaman buku panduan dapat ditemukan di sistem berkas dan apakah ini whatis (deskripsi satu baris pendek dari halaman buku panduan) isi, dan mengijinkan man untuk berjalan lebih cepat daripada jika ini harus mencaris sistem berkas setiap waktu untuk menemukan halaman buku panduan yang sesuai. Jika diminta menggunakan pilihan -u, man akan memastikan persediaan tetap konsisten, yang dapat meniadakan kebutuhan untuk menjalankan aplikasi secara manual buku panduan untuk memperbarui basis data teks whatis tradisional. Jika man tidak dapat menemukan sebuah %mandb diinisiasikan index basis data untuk sebuah struktur halaman buku panduan tertentuk, ini akan tetap mencari untuk halaman buku panduan yang diminta, walaupun berkas globbing akan tetap dibutuhkan untuk mencari didalam struktur. Jika whatis atau apropos gagal untuk menemukan sebuah index ini akan mencoba untuk mengekstrak informasi dari sebuah basis data tradisional whatis. Utiliti ini mendukung kompressed berkas sumber nroff, secara baku, ekstensi dari .Z, .z dan .gz. Ini memungkinkan untuk menghadapi dengan ekstensi kompresi apapun, tetapi informasi ini harus diketahui di waktu penyusunan. Juga, secara baku, halaman cat apapun dihasilkan adalah dikompress menggunakan gzip. Setiap `global' halaman buku panduan hierarchy seperti /usr/share/man atau /usr/X11R6/man mungkin memiliki direktori apapun seperti struktur halaman cat nya. Secara tradisional halaman cat disimpan dibawah struktur yang sama seperti halaman buku panduan, tetapi untuk beberapa alasan seperti yang dispesifikasikan dalam Struktur Berkas Standar (FHS), ini mungkin lebih baik menyimpannya ditempat lain. Untuk lebih detailnya bagaimana melakukan ini, mohon baca manpath(5). Untuk lebih detailnya kenapa melakukan hal ini, baca standar. Dukungan internasional tersedia dalam paket ini. Bahasa lokal halaman buku panduan dapat diakses (jika tersedia melalui sistem anda) melalui penggunaan dari fungsi locale. Untuk mengaktifkan dukungan seperti itu, ini diperlukan untuk menset baik $LC_MESSAGES, $LANG atau variabel sistem yang tergantung lainnya ke lokal bahasa anda, biasanya dispesifikasikan dalam dasar format POSIX 1003.1: <language>[_<territory>[.<set karakter>[,<versi>]]] Jika halaman yang diiginkan tersedia dalam local anda, ini akan ditampilkan seketika dari halaman (biasanya Bahasa Inggris Amerika) standar. Dukungan untuk pesan internasional katalog juga difeature dalam paket ini dan dapat diaktivasikan dalam cara sama, kembali jika tersedia. Anda menemukan halaman buku panduan dan pesan katalog diberikan dengan paket ini tidak tersedia dalam bahasa lokal dan anda ingin mensuplinya, hubungi maintainer yang akan mengkoordinasi aktivitas seperti itu. Untuk informasi mengenai featur lain dan ekstensi yang tersedia dengan halaman buku panduan, mohon baca dokumen diberikan dengan paket.

BAKU
man akan mencari untuk halaman buku panduan yang diinginkan didalam persediaan basis data index. Jika pilihan -u diberikan, sebuah pemeriksaan konsistensi persediaan dilakukan untuk memastikan basis data secara akurat merefleksi sistem berkas. Jika pilihan ini selalu diberikan, iti tidak secara umum diperlukan untuk menjalankan mandb setelah persediaan dibuat pada awalnya, kecuali sebuah persediaan menjadi terkorupsi. Akan tetapi, pemeriksaan konsistensi persediaan dapat menjadi lambat di sistem dengan banyak halaman buku panduan terpasang, jadi ini tidak dilakukan secara baku, dan sistem administrator mungkin akan menjalankan mandb setiap minggu atau seperti itu untuk menjaga persediaan basis data segar. Untuk mencegah masalah yang disebabkan oleh persediaan yang sudah tertinggal, man akan kembali ke berkas globbing jika sebuah pencarian persediaan gagal, hanya seperti itu jika tidak ada persediaan yang ada. Sekali sebuah halaman buku panduan telah dilokasikan, sebuah pemeriksaan dilakukan untuk mencari tahu jika sebuah berkas `cat' relatif preformatted telah ada dan lebih baru dari berkas nroff. Jika ini dilakukan dan benar, berkas preformatted ini (biasanya) didekompress dan kemudian ditampilkan, dengan menggunakan sebuah pager. Pager dapat dispesifikasikan dalam beberapa cara, atau yang akan kembali ke baku jika digunakan (lihat pilihan -P untuk details). Jika tidak ada cat ditemukan atau lebih lama dari berkas nroff, nroff difilter melalui berbagai aplikasi dan ini diperlihatkan secara langsung. Jika sebuah berkas cat dapat dihasilkan (sebuag direktori cat relatif ada dan memiliki ijin yang sesuai), man akan kompres dan simpan berkas cat dalam background. The filters are deciphered by a number of means. Firstly, the command line option -p or the environment variable $MANROFFSEQ is interrogated. If -p was not used and the environment variable was not set, the initial line of the nroff file is parsed for a preprocessor string. To contain a valid preprocessor string, the first line must resemble '\" <string> dimana string dapat berupa kombinasi apapun dari kata dideskripsikan oleh pilihan -p dibawah. Jika tidak ada dari metode diatas menyediakan informasi penyaring apapun, sebuah set baku digunakan. Sebuah formating pipeli dibentuk dari filter dan penformat utama (nroff atau [tg]roff dengan -t) dan dijalankan. Secara alternatif, jika sebuah aplikasi executable mandb_nfmt (atau mandb_tfmt dengan -t) ada dalam akar pohon man, ini lebih baik dijalankan. Ini dilewatkan ke berkas sumber buku panduan, string preprosesor, dan secara opsional perangkat yang dispesifikasikan dengan -T atau -E sebagai arguments.

PILIHAN
Tidak ada pilihan argumen yang merupakan duplikasi baik di baris perintah, dalam $MANOPT, atau baik, yang berbahaya. Untuk pilihan yang membutuhkan sebuah argumen, setiap penggandaan akan mengesampingkan nilai dari argumen sebelumnya.

  Pilihan umum

-C berkas, --config-file=berkas
    Gunakan berkas konfigurasi pengguna ini daripada ~/.manpath.

-d, --debug
    Tampilkan informasi penelusuran.

-D, --default
    Pilihan ini secara normal diisukan sebagai pilihan paling pertama dan mereset man perilaku ke bakunya. Ini digunakan untuk mereset pilihan tersebut yang mungkin telah diset dalam $MANOPT. Pilihan apapun yang mengikuti -D akan memiliki efek biasanya

--warnings[=warnings]
    Aktifkan peringatan dari groff. Ini mungkin digunakan untuk menjalankan pemeriksaan kesadaran dalam sumber teks dari halaman buku panduan. peringatan adalah daftar dipisahkan dengan koma dari nama peringatan; jika tidak disupli, baku adalah "mac".

  Mode operasi utama

-f, --whatis
    Equivalent to whatis. Display a short description from the manual page, if available. See whatis(1) for details.

-k, --apropos
    Sama dengan apropos. Cari deskripsi halaman buku panduan pendek untuk kata kunci dan tampilkan kecocokan apapun. Lihat apropos(1) untuk lengkapnya.

-K, --global-apropos
    Cari teks dalam seluruh halaman manual. Ini adalah pencarian secara paksa, dan biasanya memerlukan waktu cukup lama; jika anda dapat, anda seharusnya menspesifikasikan sebuah bagian untuk mengurangi jumlah dari halam yang akan dicari. Kata pencarian mungkin dapat berupa kata sederhana (baku), atau ekspresi umum jika opsi --regex digunakan.

-l, --local-file
    Aktivasikan mode `lokal'. Format dan tampilkan berkas buku panduan lokal daripada mencari melalui koleksi sistem buku panduan. Setiap argumen halaman buku panduan akan diinterpretasikan sebuah sebuah berkas sumber nroff dalam format yang benar. Tidak ada berkas cat dihasilkan. Jika `-' ini didaftar sebagai salah satu dari argumen, masukan akan diambil dari stdin. Ketika pilihan ini tidak digunakan, dan man gagal untuk menemukan halaman yang dibutuhkan, sebelum menampilkan pesan error, ini mencoba untuk berlaku seperti jika pilihan ini telah diberikan menggunakan nama sebagai sebuah nama berkas dan mencari untuk sebuah pencocokan tepat.

-w, --where, --path, --location
    Jangan secara aktual menampilkan halaman buku panduan, tetapi lakukan pencetakan lokasi dari berkas sumber nroff yang akan diformat.

-W, --where-cat, --location-cat
    Jangan secara aktual menampilkan halaman buku panduan, tetapi lakukan pencetakan lokasi dari berkas cat yang akan ditampilkan. Jika -w dan -W keduanya dispesifikasikan, cetak keduanya dipisahkan oleh sebuah spasi.

-c, --catman
    Pilihan in tidak untuk penggunaan umum dan seharusnya hanya digunakan oleh aplikasi catman.

-R pengkodean, --recode=pengkodean
    Daripada memformat halaman buku panduan dalam cara biasa, keluarkan sumbernya yang akand diubah ke pengkodean yang telah dispesifikasikan. Jika anda telah tahu pengkodean dari berkas sumber, anda juga dapat menggunakan manconv(1) secara langsung. Akan tetapi, pilihan ini mengijinkan anda untuk mengubah beberapa halaman buku panduan ke sebuah pengkodean tunggal tanpa harus menyatakan secara eksplisit keadaan dari setiap pengkodean, dengan kondisi bahwa mereka telah terpasang dalam sebuah struktur yang sama ke sebuah struktur halaman buku panduan.

  Mencari halaman buku panduan

-L lokal, --locale=lokal
    man akan secara normal menentukan lokal anda sekarang dengan sebuah panggilan ke fungsi setlocale(3) yang menanyakan berbagai variabel lingkungan, kemungkinan termasuk $LC_MESSAGES dan $LANG. Untuk memaksa sementara ke nilai yang telah ditentukan, gunakan pilihan ini untuk mensuplai sebuah string lokal secara langsung ke man. Catat bahwa itu tidak akan berpengaruh sampai pencarian untuk halaman benar benar dimulai. Pesan bantuan akan selalu ditampilkan dalam lokal yang ditentukan diawal.

-m sistem[,...], --systems=sistem[,...]
    Jika sistem ini memiliki akses ke halaman buku panduan sistem operasi lain, mereka dapat diakses menggunakan pilihan ini. Untuk mencari sebuah halaman buku panduan dari koleksi halaman buku panduan OS-Baru, gunakan pilihan -m OS-Baru. sistem yang dispesifikasikan dapat berupa sebuah kombinasi dari nama sistem operasi dipisahkan oleh koma. Untuk memasukan sebuah pencarian dari halaman buku panduan sistem operasi lkal, masukan nama sistem man dalam string argumen. Pilihan ini akan mengesampingkan variabel lingkungan $SYSTEM.

-M jalur, --manpath=jalur
    Spesifikasikan sebuah jalur man alternatif untuk digunakan. Secara baku, man menggunakan manpath kode turunan untuk menentukan jalur pencarian. Pilihan ini mengesampingkan variabel lingkungan $MANPATH dan dapat menyebabkan pilihan -m untuk diabaikan. Sebuah jalur dispesifikasikan sebagai sebuah jalur buku panduan harus berupa akar dari struktur halaman buku panduan terstruktur dalam daerah seperti dijelaskan dalam buku panduan man-db (dibawah "Halaman buku panduan sistem"). Untuk melihat halaman buku panduan diluar dari struktur seperti itu, lihat pilihan -l.

-S daftar, -s daftar, --sections=daftar
    Daftar adalah sebuah kolon- atau daftar dipisahkan oleh koma dari daerah buku panduan `order specific' untuk mencari. Pilihan ini mengesampingkan variabel lingkungan $MANSECT (Penyebutan -s adalah untuk kompabilitas dengan Sistem V.)

-e sub-ekstensi, --extension=sub-extension
    Beberapa sistem menggunakan paket besar dari halaman buku panduan, seperti yang menyertai paket Tcl, kedalam hierarki halaman buku panduan utama. Untuk menyelesaikan masalah dari memiliki dua halaman buku panduan dengan nama sama seperti exit(3), halaman Tcl biasanya semuanya dilengkapi dengan bagian l. Seperti ini disayangkan, ini sekarang memungkinkan untuk menempatkan halaman dalam bagian yang benar, dan menempatkan spesifik `ekstensi' ke halaman tersebut, dalam kasus ini, exit(3tcl). Dalam operasi normal, man akan menampilkan exit(3) dalam kesukaan ke exit(3tcl). Untuk menegosiasikan situasi ini dan menghindari harus mengetahui halaman bagian mana yang membutuhkan tempat dimana, sekarang memungkinkan untuk memberikan man sebuah sub-extension string menandakan paket mana halaman tersebut harus berada. Menggunakan contoh diatas, diberikan pilihan -e tcl ke man akan membatasi pencarian halaman memiliki sebuah ekstensi dari *tcl.

-i, --ignore-case
    Abaikan besar huruf ketika mencari untuk halaman buku panduan. Ini adalah baku.

-I, --match-case
    Cari untuk halaman buku panduan dengan mempertimbangkan besar huruf.

--regex
    Tampilkan seluruh halaman dengan bagian apapun baik namanya atau deskripsinya yang cocok dengan setiap argumen halaman sebagai sebuah ekspresi umum, sama seperti dengan apropos(1). Karena disana biasanya tidak ada cara yang masuk akal untuk memilih sebuah halaman "terbaik" ketika mencari untuk sebuah ekspresi umum, pilihan ini mengimplikasi -a.

--wildcard
    Tampilkan seluruh halaman dengan bagian apapun baik dari namanya atau deskripsinya yang cocok untuk setiap argumen halaman menggunakan karakter bebas gaya shell, sama seperti apropos(1) --wildcard. Argumen halaman harus cocok dengan seluruh nama dan deskripsi, atau cocok di batas kata dalam deskripsi. Karena disana biasanya tidak ada cara yang masuk akal untuk mengambil sebuah halaman "terbaik" ketika mencari untuk sebuah karakter bebas, pilihan ini mengimplikasikan --a.

--names-only
    Jika pilihan --regex atau --wildcard digunakan, hanya cocok nama halaman, bukan deskripsi halaman, sama dengan whatis(1). Jika tidak, tidak ada efek.

-a, --all
    Secara baku, man akan keluar setelah menampilkan halaman buku panduan paling sesuai dari yang ditemukan. Menggunakan pilihan ini memaksa man untuk menampilkan seluruh halaman buku panduan dengan nama yang cocok dengan kriteria pencarian.

-u, --update
    Pilihan ini menyebabkan man untuk melakukan sebuah pemeriksaan konsistensi `tingkat inode' di persediaan basis datanya untuk memastikan bahwa mereka adalah representasi akurat dari sistem berkas. Ini hanya akan memiliki efek berguna jika man dipasang dengan setuid bit diset.

--no-subpages
    Secara baku, man akan mencoba menginterpretasikan pasangan dari nama halaman manual yang diberikan di baris perintah sama dengan sebuah halaman manual tunggal berisi sebuah hyphen. Ini didukung dengan pola sama dari aplikasi yang mengimplementasikan jumlah dari perintah bawah, mengijinkannya untuk menyediakan halaman manual yang dapat diakses menggunakan sintaks serupa seperti yang digunakan untuk menjalankan perintah bawah itu sendiri. Sebagai contoh:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Untuk menonaktifkan perilaku ini, gunakan pilihan --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Mengotronl keluaran terformat

-P pager, --pager=pager
    Spesifikasikan pager keluaran mana yang akan digunakan, Secara baku, man menggunakan less. Pilihan ini mengesampingkan variabel lingkungan $MANPAGER, yang jadinya mengesampingkan variabel lingkungan $PAGER. Ini tidak digunakan dengan konjungsi dengan -f atau -k. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

-r prompt, --prompt=prompt
    Jika sebuah versi baru dari less digunakan sebagai sebuah pager, man akan mencoba untuk menset promptnya dan beberapa pilihan. Prompt baku akan tampak Halaman buku panduan nama(sec) baris x dimana nama menyatakan nama halaman buku panduan, sec menyatakan bagian itu yang ditemukan dibawah dan x nomor baris sekarang. Ini dicapai dengan menggunakan variabel lingkungan $LESS. Memberikan -r dengan sebuah string akan mengesampingkan perilaku baku ini. String mungkin berisi teks $MAN_PN yang akan diekspan ke nama dari halama buku panduan sekarang dan nama bagiannya yang dilingkupi oleh `(' dan `)'. String digunakan untuk menghasilkan baku dapat diekspresikan sebagai \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (AKHIR):?pB\ %pB\\%..
    (press h for help or q to quit) Ini terpecah kedalam dua baris disini untuk memudahkan pembacaan saja. Untuk artinya lihat halaman buku panduan less(1). Prompt string pertama dievaluasi oleh shell. Semua double quotes, back-quotes dan backslashes dalam prompt harus diberi karakter untuk keluar dengan sebuah awalan backslash. Prompt string mungkin berakhir dalam sebuah karakter untuk keluar $ yang mungkin diikuti oleh pilihan selanjutnya untuk less. Secara baku man menset pilihan -ix8. The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    Ketika melihat sebuah halaman buku panduan murni ascii(7) dalam sebuah terminal 7 bit atau terminal emulator, beberapa karakter mungkin tidak tampil secara benar ketika menggunakan latin1(7) perangkat deskripsi dengan GNU nroff. Pilihan ini mengijinkan halaman buku panduan murni ascii ditampilkan dalam ascii dengan perangkat latin1. Ini tidak akan menerjemahkan teks latin1 apapun. Tabel berikut menampilkan penerjemahan yang dilakukan: beberapa bagian dari itu mungkin hanya ditampilkan secara benar ketika menggunakan perangkat GNU nroff latin1(7).
    Description
    Octal
    latin1
    ascii
    kelanjutan hyphen
    255
    -
    bullet (tengah titik)
    267
    •
    o
    acute accent
    264
    ´
    perkalian tanda
    327
    ×
    x
    jika kolom latin1 tampil secara benar, terminal anda mungkin dikonfigurasi untuk karakter latin1 dan pilihan ini tidak diperlukan. Jika latin1 dan ascii kolom identik, anda membaca halaman ini menggunakan pilihan ini atau man tidak memformat halaman ini menggunakan deskripsi perangkat latin1. Jika latin1 kolom hilang atau terkorupsi, anda mungkin butuh untuk melihat halaman buku panduan dengan pilihan ini. Pilihan ini diabaikan ketika menggunakan pilihan -t, -H, -T, atau -Z dan mungkin tidak berguna untuk nroff selain dari GNU's.

-E pengkodean, --encoding=pengkodean
    Hasilkan keluaran untuk sebuah pengkodean karakter selain dari baku. Untuk kompabilitas kebelakang, pengkodean mungkin sebuah perangkat nroff seperti ascii, latin1, atau utf8 baik juga sebuah pengkodean karakter benar seperti UTF-8.

--no-hyphenation, --nh
    Secara normal, nroff akan secara otomatis hyphenate teks di potongan baris baik dalam kata yang tidak berisi hyphen, jika tidak dibutuhkan jadi untuk meletakan kata disebuah baris tanpa ruang yang berlebihan. Pilihan ini menonaktifkan otomatis hyphenation, jadi kata hanya dihyphenated jika mereka telah berisi hyphens. Jika anda menulis sebuah halaman buku panduan dan hanya ingin menjaga nroff dari hyphenating sebuah kata di titik yang tidak sesuai, jangan gunakan pilihan ini, tetapi lebih baik konsultasikan ke dokumentasi nroff; sebagai contoh, anda dapat meletakan "\%" didalam sebuah kata untuk mengindikasikan bahwa itu mungkin dihyphenasi di titik itu, atau meletakan "\%" diawal dari sebuah kata untuk menjaga itu dari hyphenasi.

--no-justification, --nj
    Normally, nroff will automatically justify text to both margins. This option disables full justification, leaving justified only to the left margin, sometimes called "ragged-right" text. Jika anda menulis sebuah halaman buku panduan dan hanya ingin menjaga nroff dari hyphenating sebuah kata di titik yang tidak sesuai, jangan gunakan pilihan ini, tetapi lebih baik konsultasikan ke dokumentasi nroff; sebagai contoh, anda dapat meletakan "\%" didalam sebuah kata untuk mengindikasikan bahwa itu mungkin dihyphenasi di titik itu, atau meletakan "\%" diawal dari sebuah kata untuk menjaga itu dari hyphenasi.

-p string, --preprocessor=string
    Spesifikasikan urutan dari preprosesor untuk dijalankan sebelum nroff atau troff/groff. Tidak seluruh instalasi akan memiliki full set dari preprosesor. Beberapa preprosesor dan huruf digunakan untuk menggunakannya adalah: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Pilihan ini mengesampingkan variabel lingkungan $MANROFFSEQ. zsoelim selalu berjalan sebagai preproses pertaman.

-t, --troff
    Gunakan groff -mandoc untuk memformat halaman buku panduan ke stdout. Pilihan ini tidak dibutuhkan dalam konjungsi dengan -H, -T, atau -Z.

-T[device], --troff-device[=device]
    Pilihan ini digunakan untuk mengubah groff (atau mungkin troff) keluaran ke sebuah perangkat selain dari baku yang lebih sesuai. Ini mengimplikasikan -t. Contoh (disediakan Groff-1.17) termasuk dvi, latin1, ps, utf8, X75 dan X100.

-H[browser], --html[=browser]
    Pilihan ini akan menyebabkan groff untuk menghasilkan keluaran HTML, dan akan menampilkan keluaran disebuah web browser. Pilihan dari browser ditentukan oleh opsional argumen broser jika disediakan, oleh variabel lingkungan $BROWSER, atau diwaktu kompilasi baku jika itu tidak diset (biasanya lynx). Pilihan ini mengindikasikan -t, dan hanya akan bekerja dengan GNU troff.

-X[dpi], --gxditview[=dpi]
    Pilihan ini menampilkan keluaran dari groff dalam sebuah jendela graphis menggunakan aplikasi gxditview. dpi (titik per inchi) mungkin berupa 75, 75-12, 100, atau 100-12, baku ke 75; -12 variant menggunakan sebuah font dasar 12-titik. Pilihan ini mengimplikasikan -T dengan X75, X75-12, X100 atau X100-12 perangkat.

-Z, --ditroff
    groff akan menjalankan troff dan kemudian menggunakan sebuah post prosesor yang sesuai untuk menghasilkan perangkat yang dipilih. Jika groff -mandoc adalah groff, pilihan ini akan dilewatkan ke groff dan akan menekan penggunaan dari sebuah post-prosesor. Ini mengimplikasikan -t.

  Mendapatkan bantuan

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

STATUS KELUAR

0   Eksekusi aplikasi sukses.

1   Penggunaan, sintaks atau berkas konfigurasi error.

2   Operasional error.

3   Sebuah proses anak mengembalikan sebuah status kembali tidak nol.

16  Paling tidak satu dari halaman/berkas/kata kunci tidak ada atau tidak cocok.

LINGKUNGAN

MANPATH
    Jika $MANPATH diset, nilainya digunakan sebagai jalur pencarian untuk halaman buku panduan.

MANROFFOPT
    Isi dari $MANROFFOPT ditambahkan ke baris perintah setiap saat man memanggil pemformat (nroff, troff, atau groff).

MANROFFSEQ
    Jika $MANROFFSEQ diset, nilainya digunakan untuk menetukan set dari preprosesor untuk dilewatkan ke setiap halaman buku panduan. Daftar baku preprosesor adalah tergantung dari sistem.

MANSECT
    Jika $MANSECT diset, nilainya adalah sebuah daftar dipisahkan oleh kolon dari bagian dan ini digunakan untuk menentukan bagian buku panduan mana untuk dicari dan dalam urutan apa.

MANPAGER, PAGER
    jika $MANPAGER atau $PAGER diset ($MANPAGER digunakan dalam kesukaan), nilainya digunakan sebagai nama dari aplikasi yang digunakan untuk menampilkan halaman buku panduan. Secara baku, less digunakan. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

MANLESS
    Jika $MANLESS diset, man tidak akan melakukan pemrosesan biasa untuk mengkonfigurasi prompt string untuk pager less. Sebaliknya, nilai dari $MANLESS akan disalinkan satu persatu kedalam $LESS. Sebagai contoh, jika anda ingin menset prompt string secara tidak kondisional ke “my prompt string”, set $MANLESS ke ‘-Psmy prompt string’.

BROWSER
    Jika $BROWSER diset, nilai itu adalah daftar dipisahkan kolon dari perintah, setiap perintah itu digunakan untuk mencoba menjalankan sebuah web browser untuk man --html. Dalam setiap perintah, %s digantikan oleh sebuah nama berkas berisi keluaran HTML dari groff, %% digantikan oleh sebuah tanda persen tunggal (%) dan %c digantikan oleh sebuah kolon (:).

SYSTEM
    Jika $SYSTEM telah diset, ini akan memiliki efek sama seperti jika ini telah dispesifikasikan sebagai argumen ke pilihan -m.

MANOPT
    If $MANOPT is set, it will be parsed prior to man's command line and is expected to be in a similar format. As all of the other man specific environment variables can be expressed as command line options, and are thus candidates for being included in $MANOPT it is expected that they will become obsolete. N.B. All spaces that should be interpreted as part of an option's argument must be escaped.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, an ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Biasanya, ketika keluaran tidak sedang diarahkan ke sebuah terminal (seperti ke sebuah berkas atau sebuah pipe), pemformatan karakter diabaikan untuk mempermudah pembacaan tanpa perangkat spesial. Akan tetapi, jika $MAN_KEEP_FORMATTING diset ke nilai tidak kosong apapun, pemformatan karakter ini dijaga. Ini mungkin berguna untuk memperbaiki man yang dapat diinterpretasikan pemformatan karakter.

MAN_KEEP_STDERR
    Secara normal, ketika keluaran telah diarahkan ke sebuah terminal (biasanya sebuah pager), keluaran error apapun dari perintah digunakan untuk menghasilkan versi tercetak dari halaman buku panduan diabaikan untuk menghindari interferensi dari penampilan pager. Aplikasi seperti groff sering menghasilkan pesan error minor mengenai masalah typographical seperti kesalahan alignmen, yang tidak terlihat dan secara umum membingungkan ketika ditampilkan dengan halaman buku panduan. Akan tetapi, beberapa pengguna tetap ingin melihat itu, jadi, jika $MAN_KEEP_STDERR diset untuk nilai apapun yang tidak kosong, keluaran error akan ditampilkan seperti biasa.

LANG, LC_MESSAGES
    Tergantung dari sistem dan implementasi, baik atau kedua dari $LANG dan $LC_MESSAGESS akan diintergasi untuk pesan lokal sekarang. man akan menampilkan pesannya dalam lokal tersebut (jika tersedia). Lihat setlocale(3) untuk detail lebih tepatnya.

BERKAS

/etc/man_db.conf
    berkas konfigurasi man-db.

/usr/share/man
    Sebuah hierarki halaman buku panduan global.

/usr/share/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh tradisional.

/var/cache/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh sesuai dengan FHS.

LIHAT JUGA
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), setlocale(3), manpath(5), ascii(7), latin1(7), man(7), catman(8), mandb(8), the man-db package manual, FSSTND

SEJARAH
1990, 1991 – Originally written by John W. Eaton (jwe@che.utexas.edu). Dec 23 1992: Rik Faith (faith@cs.unc.edu) perbaikan bug diberikan oleh Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> maintained and enhanced this package for the Debian project, with the help of all the community. 31st March 2001 – present day: Colin Watson <cjwatson@debian.org> is now developing and maintaining man-db.